Bug 1259549 - Enigmail should not depend on Thunderbird because it also works in Seamonkey
Enigmail should not depend on Thunderbird because it also works in Seamonkey
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: thunderbird-enigmail (Show other bugs)
24
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christian Dersch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 22:01 EDT by Randy Barlow
Modified: 2017-08-31 10:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:12:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2015-09-02 22:01:36 EDT
Description of problem:
The Enigmail plugin is created for both Thunderbird and Seamonkey according to the upstream home page[0]. The Fedora package seems to imply that Enigmail is only for Thunderbird for two reasons:

0) It is called thunderbird-enigmail instead of simply enigmail.
1) thunderbird-enigmail depends on Thunderbird.

Version-Release number of selected component (if applicable):
thunderbird-enigmail-1.8.2-3.fc23

How reproducible:
Every time.

Steps to Reproduce:
1. $ dnf install thunderbird-enigmail

Actual results:
dnf will bring in Thunderbird as well, which Seamonkey users might not want.

Expected results:
I'd expect to be able to install Enigmail without having to install Thunderbird as well. It would be ideal to also rename the package to enigmail if possible.


Additional info:
[0] http://www.enigmail.net/home/index.php
Comment 1 Remi Collet 2015-09-03 01:13:03 EDT
When this package was created, It used the "thnderbird" sources (not always in sync with seamonkey version), and thus only compatible with thunderbird.

The new version doesn't need this anymore, and yes should be compatible with seamonkey. but this will require a lot of changes

- move installation
- create a thunderbird subpackage with link and dep.
- create a seamonke subpackage with link and dep.

Not something I should have time to do in the near future.
Comment 2 Fedora Admin XMLRPC Client 2016-01-04 08:40:50 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Jan Kurik 2016-02-24 10:36:15 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora End Of Life 2017-07-25 15:14:09 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 08:12:06 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Woi 2017-08-31 10:22:30 EDT
This is still true for Fedora 26:

sudo dnf repoquery --deplist thunderbird-enigmail|grep thunderbird
Last metadata expiration check: 1:00:07 ago on Thu Aug 31 15:16:10 2017.
package: thunderbird-enigmail-1.9.7-1.fc26.noarch
  dependency: thunderbird >= 38.0
   provider: thunderbird-52.3.0-1.fc26.x86_64

But I don't have the necessary permissions to change the version field to 26. And I also don't know if a fix is worth it at all: The package does what you expect from the package name and the whole SeaMonkey project is at risk, e.g. they are even struggling to release regular updates.

Note You need to log in before you can comment on or make changes to this bug.